Skip to main content

Request

[GET]
{{baseURL}}/api/v1/ao/kyc/nin
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
id *stringAngolan National ID Numberrequired

Sample request

Response

{
Β Β Β Β "entity": {
Β Β Β Β Β Β Β Β "first_name": "JOHN",
Β Β Β Β Β Β Β Β "last_name": "DOE",
Β Β Β Β Β Β Β Β "id_number": "001234567898665",
        "active": "Ativo"
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the verification response data
entity.first_namestringFirst name of the ID holder
entity.last_namestringLast name of the ID holder
entity.id_numberstringAngolan National ID Number
entity.activestringStatus of the ID (e.g., β€œAtivo” for active)